org.faceless.pdf2.viewer2

## Class PagePanelEvent

- java.lang.Object
- - org.faceless.pdf2.viewer2.PagePanelEvent

-     public class PagePanelEvent
      extends Object

  Represents an event on a `PagePanel` indicating that document has changed somehow. To capture these events, implement the `PagePanelListener` interface and register via the `PagePanel.addPagePanelListener()` or `DocumentViewport.addPagePanelListener()` methods. Be sure to check the `getType()` method to see what sort of event it is - current values include:

  redrawing | Raised just before the page starts redrawing
  redrawn | Raised when the page has completed redrawing
  hidden | Raised when the page is no longer displayed by the PagePanel
  visible | Raised when the page is newly displayed by the PagePanel

  PagePanelEvent's are created via the static "create" methods, but unless you are implementing your own Viewport or similar there should be no reason to call these methods.

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PagePanelEvent` | `createPageHidden(PagePanel panel, PDFPage page)` Create a "hidden" PagePanelEvent
    `static PagePanelEvent` | `createPageRedrawing(PagePanel panel, PDFPage page)` Create a "redrawing" PagePanelEvent
    `static PagePanelEvent` | `createPageRedrawn(PagePanel panel, PDFPage page)` Create a "redrawn" PagePanelEvent
    `static PagePanelEvent` | `createPageVisible(PagePanel panel, PDFPage page)` Create a "visible" PagePanelEvent
    `PDFPage` | `getPage()` Get the Page this event refers to
    `PagePanel` | `getPagePanel()` Get the PagePanel this event refers to
    `String` | `getType()` Get the type of event
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### createPageRedrawing

          public static PagePanelEvent createPageRedrawing(PagePanel panel,
                                                           PDFPage page)

      Create a "redrawing" PagePanelEvent

    - #### createPageRedrawn

          public static PagePanelEvent createPageRedrawn(PagePanel panel,
                                                         PDFPage page)

      Create a "redrawn" PagePanelEvent

    - #### createPageVisible

          public static PagePanelEvent createPageVisible(PagePanel panel,
                                                         PDFPage page)

      Create a "visible" PagePanelEvent

    - #### createPageHidden

          public static PagePanelEvent createPageHidden(PagePanel panel,
                                                        PDFPage page)

      Create a "hidden" PagePanelEvent

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getPagePanel

          public PagePanel getPagePanel()

      Get the PagePanel this event refers to

    - #### getType

          public String getType()

      Get the type of event

    - #### getPage

          public PDFPage getPage()

      Get the Page this event refers to

Copyright © 2001-2015 Big Faceless Organization